[Numpy-discussion] Numpy and Python3

Katharina Ingwer.Wurzel@gmx....
Sat Dec 11 06:41:59 CST 2010


Hi,
I install Python3.1, but I get the same Error:
--------------------------------------------------------------------------------------------------------
sudo python3 setup.py build --fcompiler=gnu95
Converting to Python3 via 2to3...
RefactoringTool: Skipping implicit fixer: buffer
RefactoringTool: Skipping implicit fixer: idioms
RefactoringTool: Skipping implicit fixer: set_literal
RefactoringTool: Skipping implicit fixer: ws_comma
RefactoringTool: No files need to be modified.
Running from numpy source directory.Traceback (most recent call last):
  File "setup.py", line 211, in <module>
    setup_package()
  File "setup.py", line 188, in setup_package
    from numpy.distutils.core import setup
  File
"/usr/local/lib/python3.1/site-packages/numpy-1.5.1/build/py3k/numpy/distutils/__init__.py", line 22, in <module>
    import numpy.distutils.ccompiler
  File
"/usr/local/lib/python3.1/site-packages/numpy-1.5.1/build/py3k/numpy/distutils/ccompiler.py", line 15, in <module>
    from numpy.distutils.exec_command import exec_command
  File
"/usr/local/lib/python3.1/site-packages/numpy-1.5.1/build/py3k/numpy/distutils/exec_command.py", line 58, in <module>
    from numpy.compat import open_latin1
  File
"/usr/local/lib/python3.1/site-packages/numpy-1.5.1/build/py3k/numpy/compat/__init__.py", line 14, in <module>
    from .py3k import *
AttributeError: 'module' object has no attribute 'unicode'

--------------------------------------------------------------------------------------------------------

Can somebody see, what's the problem?
I'm really pleased for any help. 

/With kind regards
Ingwer


Am Freitag, den 10.12.2010, 20:05 +0800 schrieb Ralf Gommers:
> 
> 
> On Fri, Dec 10, 2010 at 6:33 PM, Katharina <Ingwer.Wurzel@gmx.net>
> wrote:
>         Hello everyone,
>         
>         first, I'm really apologise for my English-skills. But I have
>         only one
>         simple questions. Does NumPy work on Python3 now.
>         I read so many articles on the Internet, but you can only read
>         some
>         speculation and not a clear state about this topic.
> 
> It works fine with Python 3.1.  
> 
>         
>         At the moment I try numpy1.5.1 on Python3.0, but I get only
>         Errors.
>         If Numpy works on Python3, are the support libraries the same
>         as by
>         Python2.6?
> 
> Which support libraries? Just Lapack/Blas or Atlas should be all you
> need, and just "$ python3.1 setup.py install
> --prefix=/home/XXX/pick-a-folder" should work fine.
> 
> If you encounter a problem, please send us the exact build command you
> used, the build log and compiler versions.
> 
> Ralf
> 
>    
> 
>         (By the way, I use Linux (Ubuntu 9.04)) 
>         
>         /With kind regards
>         Ingwer
>         
> 
> _______________________________________________
> NumPy-Discussion mailing list
> NumPy-Discussion@scipy.org
> http://mail.scipy.org/mailman/listinfo/numpy-discussion



More information about the NumPy-Discussion mailing list